Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.persistence
Class Persistence

    java.lang.Object
      org.deft.extension.persistence.Persistence

    public class Persistence

extends java.lang.Object

Stores a list of modification and decoration to apply them to a AST.

Author:
  Martin Heinzerling

Constructor Summary
`Persistence()`
`Persistence(java.io.File file)`

Method Summary
`void` | `add(Decoration decoration)`
`void` | `add(Modification motification)`
`void` | `apply(org.deft.repository.ast.TreeNode ast)` Apply all modification/decations to a AST.
`void` | `load(java.io.File file)` Load/initialize object from a file.
`void` | `remove(Decoration decoration)`
`void` | `remove(Modification motification)`
`void` | `store(java.io.File file)` Stores object to a file.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Persistence

    public Persistence()

### Persistence

    public Persistence(java.io.File file)

Method Detail

### load

    public void load(java.io.File file)

  Load/initialize object from a file.

  Parameters:
    `file` -

### store

    public void store(java.io.File file)

  Stores object to a file.

  Parameters:
    `file` -

### add

    public void add(Decoration decoration)

  Parameters:
    `decoration` -

### remove

    public void remove(Decoration decoration)

  Parameters:
    `decoration` -

### add

    public void add(Modification motification)

  Parameters:
    `motification` -

### remove

    public void remove(Modification motification)

  Parameters:
    `motification` -

### apply

    public void apply(org.deft.repository.ast.TreeNode ast)

  Apply all modification/decations to a AST.

  Parameters:
    `ast` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD